cascading.flow.tez.planner

## Class NoHashJoinHadoop2TezRuleRegistry

- java.lang.Object
- - cascading.flow.planner.rule.RuleRegistry
  - - cascading.flow.tez.planner.NoHashJoinHadoop2TezRuleRegistry

-     public class NoHashJoinHadoop2TezRuleRegistry
      extends RuleRegistry

  The NoHashJoinHadoop2TezRuleRegistry assumes the plan has no `HashJoin` Pipes in the assembly, otherwise an planner failure will be thrown.

  This rule registry can be used if the default registry is failing or producing less than optimal plans.
  See Also:
    `HashJoinHadoop2TezRuleRegistry`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoHashJoinHadoop2TezRuleRegistry()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleRegistry

      `addDefaultElementFactory, addElementFactory, addRule, enableDebugLogging, enabledResolveElements, equals, getElementFactory, getName, getProcessLevels, getRulesFor, hasElementFactory, hashCode, hasRule, restoreLogging, setResolveElementsEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoHashJoinHadoop2TezRuleRegistry

          public NoHashJoinHadoop2TezRuleRegistry()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.